select
cast(split_part(edadpeso, '|', 1) as integer) as edad_rider,
velocidad_viento,
cast(split_part(edadpeso, '|', 2) as integer) as peso_rider,
racha,
periodo_medio_oleaje
from
	((
	select
		velocidad_viento,
		getpesoedad(40,10,12,85) as edadPeso,
		racha,
		periodo_medio_oleaje
	from wc_labeldataset wl
	where
		wl.id not in (select id from wc_labeldataset_bck)
		and wl.racha > wl.velocidad_viento
		and wl.velocidad_viento between 0 and 15
	order by RANDOM() limit 200
)
union all
(
	select
		velocidad_viento,
		getpesoedad(40,10,12,85) as edadPeso,
		racha,
		periodo_medio_oleaje
	from wc_labeldataset wl
	where
		wl.id not in (select id from wc_labeldataset_bck)
		and wl.racha > wl.velocidad_viento
		and wl.velocidad_viento between 15 and 20
	order by RANDOM() limit 200
)
union all
(
	select
		velocidad_viento,
		getpesoedad(40,10,12,85) as edadPeso,
		racha,
		periodo_medio_oleaje
	from wc_labeldataset wl
	where
		wl.id not in (select id from wc_labeldataset_bck)
		and wl.racha > wl.velocidad_viento
		and wl.velocidad_viento between 20 and 25
	order by RANDOM() limit 200
)
union all
(
	select
		velocidad_viento,
		getpesoedad(40,10,12,85) as edadPeso,
		racha,
		periodo_medio_oleaje
	from wc_labeldataset wl
	where
		wl.id not in (select id from wc_labeldataset_bck)
		and wl.racha > wl.velocidad_viento
		and wl.velocidad_viento between 25 and 34
	order by RANDOM() limit 200
)
union all
(
	select
		velocidad_viento,
		getpesoedad(40,10,12,85) as edadPeso,
		racha,
		periodo_medio_oleaje
	from wc_labeldataset wl
	where
		wl.id not in (select id from wc_labeldataset_bck)
		and wl.racha > wl.velocidad_viento
		and wl.velocidad_viento > 34
	order by RANDOM() limit 200
)) as w