package tfg.windcaddy.Backend.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import tfg.windcaddy.Backend.domain.ToLabelEntity;

import java.util.List;

@Repository
public interface ToLabelRepository extends JpaRepository<ToLabelEntity, Integer> {
    @Query("SELECT id FROM ToLabelEntity where labeled = false")
    List<Long> getRecordsToLabel();
}
