from debugpy.common import json
from TOOLS.pca_func import *
import json


def do_pca():
    # Carga de datos
    pca_df = pd.read_json('DATA/PCA/pca_input.json', orient='records', lines=True)
    pca_target = pca_df[['sail_size', 'wind_board_size', 'valoracion']]
    # Eliminando características que no son targets ni inputs
    pca_df = pca_df[['velocidad_viento',
                     'direccion_viento',
                     'racha',
                     'altura_oleaje',
                     'periodo_medio_oleaje',
                     'direccion_oleaje',
                     'peso_rider',
                     'edad_rider',
                     'Novel',
                     'Avanzado',
                     'Pro']]

    pca_df, pca = process_pca(pca_df)

    # Exportando dataset final para FII
    # Carga de datos originales
    # Obteniendo datos etiquetados y formateándolos
    with open('DATA/LABELED_DATASET/wc_labeldataset_bck_.json', 'r', encoding='utf-8') as f:
        # Cargar los datos desde el archivo JSON en un diccionario
        data = json.load(f)
    # Convertir el diccionario en un DataFrame de Pandas
    fiii_df = pd.DataFrame(data['wc_labeldataset_bck'])
    # Columnas del dataset final
    vip_vars = pca_df.columns.tolist()
    vip_vars.extend(pca_target.columns)
    fiii_df = fiii_df[vip_vars]
    # Exportándolo a fichero para la siguiente fase
    fiii_df.to_json('DATA/FIII_DATASET/f3_dataset.json', orient='records', lines=True)
